package com.webchat.common.enums;


import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;

@Getter
@NoArgsConstructor
@AllArgsConstructor
public enum AccountRelationStatusEnum {

    WAIT_CONFIRMED(1, "等待确认好友关系"),
    CONFIRMED(2, "关系确认"),
    REJECTED(3, "关系拒绝"),
    DELETED(4, "关系被删除"),
    ;

    private Integer status;
    private String statusName;

    public static boolean isConfirmed(Integer status) {

        return CONFIRMED.getStatus().equals(status);
    }
}
