package com.webchat.domain.vo.response;

import lombok.Builder;
import lombok.Data;

@Data
@Builder
public class AccountRelationResponseVO {

    /**
     * 用户好友信息
     */
    private AccountRelationListVO users;

    /**
     * 机器人订阅信息
     */
    private AccountRelationListVO robots;

    /**
     * 加入群组信息
     */
    private AccountRelationListVO groups;

    /**
     * 订阅公众号信息
     */
    private AccountRelationListVO officials;
}
