package com.webchat.connect.messagequeue.consumer.rocketmq;

import com.webchat.connect.messagequeue.consumer.service.ChatMessageConsumeService;
import com.webchat.connect.messagequeue.consumer.service.ChatNotifyConsumeService;
import org.apache.rocketmq.spring.annotation.MessageModel;
import org.apache.rocketmq.spring.annotation.RocketMQMessageListener;
import org.apache.rocketmq.spring.core.RocketMQListener;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * 当前对话消息队列，因为需要WebSocket或SSE服务端主动推送，为了解决分布式websocketsession及ssemetter共享问题，这里必须广播模式
 */
//@Component
//@RocketMQMessageListener(consumerGroup = "web_chat",
//                         topic = "queue_chat_message",
//                         messageModel = MessageModel.BROADCASTING)
public class ChatMessageRocketQueueConsumer implements RocketMQListener<String> {
//
//    @Autowired
//    private ChatMessageConsumeService chatMessageConsumeService;
//
    /**
     * 处理来自IM 对话相关消息
     *
     * @param message
     */
    @Override
    public void onMessage(String message) {

//        chatMessageConsumeService.handleChatMessage(message);
    }
}